APISchedule management

Get schedule details

Returns details of a specific schedule for the specified server

Returns details of a specific schedule for the specified server

GET
/api/client/servers/{server}/schedules/{schedule}

Authorization

bearerAuth
AuthorizationBearer <token>

Enter your API token in the format: Bearer {token}

In: header

Path Parameters

server*string

Server UUID

Formatuuid
schedule*integer

Schedule ID

Response Body

application/json

curl -X GET "https://example.com/api/client/servers/497f6eca-6276-4993-bfeb-53cbbbba6f08/schedules/0"
{
  "object": "server_schedule",
  "attributes": {
    "id": 0,
    "name": "string",
    "cron": {
      "minute": "string",
      "hour": "string",
      "day_of_month": "string",
      "month": "string",
      "day_of_week": "string"
    },
    "is_active": true,
    "is_processing": true,
    "only_when_online": true,
    "last_run_at": "2019-08-24T14:15:22Z",
    "next_run_at": "2019-08-24T14:15:22Z",
    "created_at": "2019-08-24T14:15:22Z",
    "updated_at": "2019-08-24T14:15:22Z",
    "relationships": {
      "tasks": {
        "object": "list",
        "data": [
          {}
        ]
      }
    }
  }
}
Empty
Empty
Empty